Bug 1025679 - ps2eps in texlive-pstools-bin is a broken link, missing file ps2eps.pl
ps2eps in texlive-pstools-bin is a broken link, missing file ps2eps.pl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 05:21 EDT by markusN
Modified: 2014-01-02 16:58 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2013-4.20131226_r32488.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 16:58:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markusN 2013-11-01 05:21:25 EDT
Description of problem:

yum install texlive-pstools-bin

leads to ps2eps being a broken symbolic link to a non-existant perl script.

[neteler@oboe ~]$ ls -la /usr/bin/ps2eps
lrwxrwxrwx. 1 root root 54 Nov  1 10:00 /usr/bin/ps2eps -> /usr/share/texlive/texmf-dist/scripts/ps2eps/ps2eps.pl

[neteler@oboe ~]$ ls -la /usr/share/texlive/texmf-dist/scripts/ps2eps/ps2eps.pl
ls: cannot access /usr/share/texlive/texmf-dist/scripts/ps2eps/ps2eps.pl: No such file or directory

Solution:

The ps2eps.pl perl script is part of the texlive-pstools RPM, hence
a dependency should just be added to texlive-pstools-bin so that 

 yum install texlive-pstools-bin 

additionally installs the texlive-pstools RPM.
Comment 1 markusN 2013-11-01 05:59:27 EDT
(OT but not too much)

The same applies to texlive-epstopdf-bin which requires
texlive-epstopdf as a dependency.
Comment 2 Fedora Update System 2013-12-28 11:28:45 EST
texlive-2013-4.20131226_r32488.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/texlive-2013-4.20131226_r32488.fc20
Comment 3 Fedora Update System 2013-12-30 00:06:23 EST
Package texlive-2013-4.20131226_r32488.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-4.20131226_r32488.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-24101/texlive-2013-4.20131226_r32488.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-01-02 16:58:53 EST
texlive-2013-4.20131226_r32488.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.